summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2015-05-09 08:11:52 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-05-09 08:11:52 +0700
commit024cff436f76cc4b3dd7941bafe80b069a3abbe0 (patch)
tree3c1b59a9f9cd9b0986b078c2736d28a301f71d04 /desktop
parent22d4921f281448667bf1a645361c14e80d5b5817 (diff)
downloadslackbuilds-024cff436f76cc4b3dd7941bafe80b069a3abbe0.tar.gz
slackbuilds-024cff436f76cc4b3dd7941bafe80b069a3abbe0.tar.xz
desktop/awoken-icon-theme: Added (gnome icon theme).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/awoken-icon-theme/README13
-rw-r--r--desktop/awoken-icon-theme/awoken-icon-theme.SlackBuild69
-rw-r--r--desktop/awoken-icon-theme/awoken-icon-theme.info10
-rw-r--r--desktop/awoken-icon-theme/doinst.sh13
-rw-r--r--desktop/awoken-icon-theme/slack-desc19
5 files changed, 124 insertions, 0 deletions
diff --git a/desktop/awoken-icon-theme/README b/desktop/awoken-icon-theme/README
new file mode 100644
index 0000000000..8ec2b89733
--- /dev/null
+++ b/desktop/awoken-icon-theme/README
@@ -0,0 +1,13 @@
+AwOken Icon Theme for GNOME, XFCE, LXDE and other DEs|WMs GTK+.
+
+AwOken icon theme is a full Token-style iconset for GNOME, designed to be complete and stylish.
+Choose it if you want to change significantly your desktop experience.
+
+This icon set comes with three different, ready-to-use themes: AwOken, AwOkenDark, and AwOkenWhite.
+As suggested by their names, AwOken is the classic monochrome grayish version, AwOkenDark is the
+black flavour, and AwOkenWhite is the white declination.
+
+Furthermore, inside the pack there is a customization script that give the possibility to change between:
+ - 100^3 colors
+ - 123 distributor logos (this number is growing according to the requests)
+ - 46 folder types
diff --git a/desktop/awoken-icon-theme/awoken-icon-theme.SlackBuild b/desktop/awoken-icon-theme/awoken-icon-theme.SlackBuild
new file mode 100644
index 0000000000..c87cc35402
--- /dev/null
+++ b/desktop/awoken-icon-theme/awoken-icon-theme.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+# Slackware build script for awoken-icon-theme
+# Homepage: http://alecive.deviantart.com/art/AwOken-163570862
+
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="awoken-icon-theme"
+SRCNAM="AwOken"
+VERSION=${VERSION:-2.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+rm -fr $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT $TMP/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION
+unzip $CWD/$SRCNAM-$VERSION.zip
+chown -R root.root .
+find . -type f -exec chmod 644 {} \;
+find . -type d -exec chmod 755 {} \;
+
+TARBALLS="AwOken AwOkenDark AwOkenWhite"
+ls
+ls
+for i in $TARBALLS; do
+ tar -xvf $SRCNAM-$VERSION/$i.tar.gz
+done
+
+mkdir -p $PKG/usr/share/icons
+
+cp -a AwOken AwOkenDark AwOkenWhite $PKG/usr/share/icons
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/icons/AwOken/*.pdf $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/awoken-icon-theme/awoken-icon-theme.info b/desktop/awoken-icon-theme/awoken-icon-theme.info
new file mode 100644
index 0000000000..ae4207eb8a
--- /dev/null
+++ b/desktop/awoken-icon-theme/awoken-icon-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="awoken-icon-theme"
+VERSION="2.5"
+HOMEPAGE="http://alecive.deviantart.com/art/AwOken-163570862"
+DOWNLOAD="https://dl.dropbox.com/u/8029324/AwOken-2.5.zip"
+MD5SUM="cfa211bdda30d28bf03c668f445095bb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/awoken-icon-theme/doinst.sh b/desktop/awoken-icon-theme/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/desktop/awoken-icon-theme/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/awoken-icon-theme/slack-desc b/desktop/awoken-icon-theme/slack-desc
new file mode 100644
index 0000000000..8d33be1e21
--- /dev/null
+++ b/desktop/awoken-icon-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+awoken-icon-theme: awoken-icon-theme (gnome icon theme)
+awoken-icon-theme:
+awoken-icon-theme: AwOken Icon Theme for Slackware.
+awoken-icon-theme:
+awoken-icon-theme: AwOken icon theme is a full Token-style
+awoken-icon-theme: iconset for GNOME, designed to be
+awoken-icon-theme: complete and stylish. Choose it if you
+awoken-icon-theme: want to change significantly your
+awoken-icon-theme: desktop experience.
+awoken-icon-theme:
+awoken-icon-theme: